missing libmpfr1 in cygwin 64 bit installation

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

missing libmpfr1 in cygwin 64 bit installation

Stephen Finney
My latest computer is Windows 7 64 bit.  I installed 64 bit cygwin so that
I can continue developing my ecos project.  The "Installing Cygwin for use
with eCos" page specifically says to select libmpfr1 (and others).  But
the 64 bit cygwin installer only has libmpfr4.  I selected that package
and continued with the installation.

After installing the arm-eabi cross compiler, I find that it will not run.
At a cygwin prompt, I typed "/op/ecos/gnutools/arm-eabi/bin/arm-eabi-gcc
-version" and got nothing back before a new prompt.  It seems that
libmpfr1 is required for the eCos toolchains to run.

Can anyone tell me how to fix this problem?

Thank you,

Stephen Finney

--
Before posting, please read the FAQ: http://ecos.sourceware.org/fom/ecos
and search the list archive: http://ecos.sourceware.org/ml/ecos-discuss

Reply | Threaded
Open this post in threaded view
|

Re: missing libmpfr1 in cygwin 64 bit installation

John Dallaway-2
Hi Stephen

On 21/08/13 19:35, Stephen Finney wrote:

> My latest computer is Windows 7 64 bit.  I installed 64 bit cygwin so that
> I can continue developing my ecos project.  The "Installing Cygwin for use
> with eCos" page specifically says to select libmpfr1 (and others).  But
> the 64 bit cygwin installer only has libmpfr4.  I selected that package
> and continued with the installation.
>
> After installing the arm-eabi cross compiler, I find that it will not run.
> At a cygwin prompt, I typed "/op/ecos/gnutools/arm-eabi/bin/arm-eabi-gcc
> -version" and got nothing back before a new prompt.  It seems that
> libmpfr1 is required for the eCos toolchains to run.

Yes, libmpfr1 is required.

> Can anyone tell me how to fix this problem?

The Cygwin-hosted eCos toolchains were built before 64-bit Cygwin was
available. These toolchains run just fine with a 32-bit Cygwin
installation on 64-bit Windows 7 so, as a workaround, you might attempt
a parallel installation of 32-bit Cygwin (including libmpfr1) on your
new PC. It would be helpful to report back to this list.

In the longer term, we will need to re-build the toolchains against
libraries provided by 64-bit Cygwin.

I hope this helps...

John Dallaway
eCos maintainer
http://www.dallaway.org.uk/john

--
Before posting, please read the FAQ: http://ecos.sourceware.org/fom/ecos
and search the list archive: http://ecos.sourceware.org/ml/ecos-discuss

Reply | Threaded
Open this post in threaded view
|

Re: missing libmpfr1 in cygwin 64 bit installation

Max Seidenstücker-2
John is right, just use Cygwin 32-bit isntead of 64-bit. There might
be an issue with building in Windows with the newest TCL8.5 libary and
cygwin1.dll that use the same namespace.

This helped the colleagues having this problem recently:
http://stackoverflow.com/questions/9300722/cygwin-error-bash-fork-retry-resource-temporarily-unavailable



2013/8/22 John Dallaway <[hidden email]>:

> Hi Stephen
>
> On 21/08/13 19:35, Stephen Finney wrote:
>
>> My latest computer is Windows 7 64 bit.  I installed 64 bit cygwin so that
>> I can continue developing my ecos project.  The "Installing Cygwin for use
>> with eCos" page specifically says to select libmpfr1 (and others).  But
>> the 64 bit cygwin installer only has libmpfr4.  I selected that package
>> and continued with the installation.
>>
>> After installing the arm-eabi cross compiler, I find that it will not run.
>> At a cygwin prompt, I typed "/op/ecos/gnutools/arm-eabi/bin/arm-eabi-gcc
>> -version" and got nothing back before a new prompt.  It seems that
>> libmpfr1 is required for the eCos toolchains to run.
>
> Yes, libmpfr1 is required.
>
>> Can anyone tell me how to fix this problem?
>
> The Cygwin-hosted eCos toolchains were built before 64-bit Cygwin was
> available. These toolchains run just fine with a 32-bit Cygwin
> installation on 64-bit Windows 7 so, as a workaround, you might attempt
> a parallel installation of 32-bit Cygwin (including libmpfr1) on your
> new PC. It would be helpful to report back to this list.
>
> In the longer term, we will need to re-build the toolchains against
> libraries provided by 64-bit Cygwin.
>
> I hope this helps...
>
> John Dallaway
> eCos maintainer
> http://www.dallaway.org.uk/john
>
> --
> Before posting, please read the FAQ: http://ecos.sourceware.org/fom/ecos
> and search the list archive: http://ecos.sourceware.org/ml/ecos-discuss
>



--
Beste Grüße / best regards

Max Seidenstücker

Marienbader Straße 36
93057 Regensburg

Telefon.: +49 941 99227088
Mobil:    +49 160 97646661
Mail: [hidden email]

--
Before posting, please read the FAQ: http://ecos.sourceware.org/fom/ecos
and search the list archive: http://ecos.sourceware.org/ml/ecos-discuss

Reply | Threaded
Open this post in threaded view
|

RE: missing libmpfr1 in cygwin 64 bit installation

Stephen Finney
In reply to this post by John Dallaway-2
John and Max,

After I installed the 32 bit cygwin and applied the changes referenced in
Max's email I can now build ecos on my new computer.  Thank you both for
your help.

Stephen Finney

-----Original Message-----
From: John Dallaway [mailto:[hidden email]]
Sent: Thursday, August 22, 2013 4:45 AM
To: Stephen Finney
Cc: eCos Discussion
Subject: Re: missing libmpfr1 in cygwin 64 bit installation

Hi Stephen

On 21/08/13 19:35, Stephen Finney wrote:

> My latest computer is Windows 7 64 bit.  I installed 64 bit cygwin so
that
> I can continue developing my ecos project.  The "Installing Cygwin for
use
> with eCos" page specifically says to select libmpfr1 (and others).  But
> the 64 bit cygwin installer only has libmpfr4.  I selected that package
> and continued with the installation.
>
> After installing the arm-eabi cross compiler, I find that it will not
run.
> At a cygwin prompt, I typed "/op/ecos/gnutools/arm-eabi/bin/arm-eabi-gcc
> -version" and got nothing back before a new prompt.  It seems that
> libmpfr1 is required for the eCos toolchains to run.

Yes, libmpfr1 is required.

> Can anyone tell me how to fix this problem?

The Cygwin-hosted eCos toolchains were built before 64-bit Cygwin was
available. These toolchains run just fine with a 32-bit Cygwin
installation on 64-bit Windows 7 so, as a workaround, you might attempt
a parallel installation of 32-bit Cygwin (including libmpfr1) on your
new PC. It would be helpful to report back to this list.

In the longer term, we will need to re-build the toolchains against
libraries provided by 64-bit Cygwin.

I hope this helps...

John Dallaway
eCos maintainer
http://www.dallaway.org.uk/john

--
Before posting, please read the FAQ: http://ecos.sourceware.org/fom/ecos
and search the list archive: http://ecos.sourceware.org/ml/ecos-discuss